<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:07 CEST 2010 -->
<TITLE>
ACOMediator
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ACOMediator";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACOMediator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?aco/mediator/ACOMediator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACOMediator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
aco.mediator</FONT>
<BR>
Class ACOMediator</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../resources/inherit.gif" ALT="extended by "><B>aco.mediator.ACOMediator</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../aco/mediator/acs/ACSMediator.html" title="class in aco.mediator.acs">ACSMediator</A>, <A HREF="../../aco/mediator/as/ASMediator.html" title="class in aco.mediator.as">ASMediator</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>ACOMediator</B><DT>extends java.lang.Object<DT>implements <A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#ACOMediator()">ACOMediator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#ACOMediator(aco.graph.ACOGraph, aco.parameter.ACOParameter)">ACOMediator</A></B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog,
            <A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#ACOMediator(aco.graph.ACOGraph, aco.parameter.ACOParameter, aco.environment.Environment)">ACOMediator</A></B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog,
            <A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop,
            <A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A>&nbsp;env)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#ACOMediator(aco.parameter.ACOParameter)">ACOMediator</A></B>(<A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#ACODecisionRule(aco.ant.Ant, int)">ACODecisionRule</A></B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant,
                int&nbsp;Step)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#addGlobalBestTour(java.lang.Integer, int[])">addGlobalBestTour</A></B>(java.lang.Integer&nbsp;TourLength,
                  int[]&nbsp;Tour)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeChoiceInformation()">computeChoiceInformation</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeDistances()">computeDistances</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeHeuristicInformation()">computeHeuristicInformation</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeNearestNeighbourListDepth()">computeNearestNeighbourListDepth</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeTauZero()">computeTauZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#computeTourLength(aco.ant.Ant)">computeTourLength</A></B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getACOGraph()">getACOGraph</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getACOParameter()">getACOParameter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getACOStrategy()">getACOStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getBeta()">getBeta</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getChoiceInformation(int, int)">getChoiceInformation</A></B>(int&nbsp;x,
                     int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getChoiceInformationStrategy()">getChoiceInformationStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.Integer,<A HREF="../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getCoordinateData()">getCoordinateData</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getCoordinates(int)">getCoordinates</A></B>(int&nbsp;City)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getDistance(int, int)">getDistance</A></B>(int&nbsp;x,
            int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getDistanceStrategy()">getDistanceStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getEnvironment()">getEnvironment</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTour()">getGlobalBestTour</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTour(int)">getGlobalBestTour</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTourIteration()">getGlobalBestTourIteration</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTourLength()">getGlobalBestTourLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.SortedMap&lt;java.lang.Integer,int[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTourMap()">getGlobalBestTourMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGlobalBestTourMapSize()">getGlobalBestTourMapSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getGraphStrategy()">getGraphStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getHeuristicInformation(int, int)">getHeuristicInformation</A></B>(int&nbsp;x,
                        int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getHeuristicInformationStrategy()">getHeuristicInformationStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getInfinity()">getInfinity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getMaxNumOfTours()">getMaxNumOfTours</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getNearestNeighbour(int, int)">getNearestNeighbour</A></B>(int&nbsp;x,
                    int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getNearestNeighbourListDepth()">getNearestNeighbourListDepth</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getNumOfAnts()">getNumOfAnts</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getNumOfCities()">getNumOfCities</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getPheromone(int, int)">getPheromone</A></B>(int&nbsp;x,
             int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getPheromoneStrategy()">getPheromoneStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getRoh()">getRoh</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getTauZero()">getTauZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#getTauZeroStrategy()">getTauZeroStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#nearestNeighbourHeuristicRandomStart()">nearestNeighbourHeuristicRandomStart</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#pheromoneUpdate(aco.ant.Ant[])">pheromoneUpdate</A></B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>[]&nbsp;ants)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#pickInitialRandomCity(aco.ant.Ant)">pickInitialRandomCity</A></B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setACOGraph(aco.graph.ACOGraph)">setACOGraph</A></B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setACOParameter(aco.parameter.ACOParameter)">setACOParameter</A></B>(<A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setACOStrategy(aco.strategy.ACOStrategy)">setACOStrategy</A></B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setBeta(double)">setBeta</A></B>(double&nbsp;Beta)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setChoiceInformation(int, int, double)">setChoiceInformation</A></B>(int&nbsp;x,
                     int&nbsp;y,
                     double&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)">setChoiceInformationStrategy</A></B>(<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setDistance(int, int, int)">setDistance</A></B>(int&nbsp;x,
            int&nbsp;y,
            int&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setDistanceStrategy(aco.strategy.DistanceStrategy)">setDistanceStrategy</A></B>(<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setEnvironment(aco.environment.Environment)">setEnvironment</A></B>(<A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A>&nbsp;env)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGlobalBestTour(int[])">setGlobalBestTour</A></B>(int[]&nbsp;GlobalBestTour)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGlobalBestTour(int, int)">setGlobalBestTour</A></B>(int&nbsp;index,
                  int&nbsp;GlobalBestTour)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGlobalBestTourIteration(int)">setGlobalBestTourIteration</A></B>(int&nbsp;GlobalBestTourIteration)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGlobalBestTourLength(int)">setGlobalBestTourLength</A></B>(int&nbsp;GlobalBestTourLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGlobalBestTourMapSize(int)">setGlobalBestTourMapSize</A></B>(int&nbsp;GlobalBestTourMapSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setGraphStrategy(aco.strategy.GraphStrategy)">setGraphStrategy</A></B>(<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setHeuristicInformation(int, int, double)">setHeuristicInformation</A></B>(int&nbsp;x,
                        int&nbsp;y,
                        double&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)">setHeuristicInformationStrategy</A></B>(<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setInitialPheromones(double)">setInitialPheromones</A></B>(double&nbsp;TauZero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setMaxNumOfTours(int)">setMaxNumOfTours</A></B>(int&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setNearestNeighbourListDepth(int)">setNearestNeighbourListDepth</A></B>(int&nbsp;NearestNeighbourListDepth)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setNumOfAnts(int)">setNumOfAnts</A></B>(int&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setNumOfCities(int)">setNumOfCities</A></B>(int&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setPheromone(int, int, double)">setPheromone</A></B>(int&nbsp;x,
             int&nbsp;y,
             double&nbsp;v)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setPheromoneStrategy(aco.strategy.PheromoneStrategy)">setPheromoneStrategy</A></B>(<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setRoh(double)">setRoh</A></B>(double&nbsp;Roh)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setTauZero(double)">setTauZero</A></B>(double&nbsp;TauZero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../aco/mediator/ACOMediator.html#setTauZeroStrategy(aco.strategy.TauZeroStrategy)">setTauZeroStrategy</A></B>(<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ACOMediator()"><!-- --></A><H3>
ACOMediator</H3>
<PRE>
public <B>ACOMediator</B>()</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOMediator(aco.parameter.ACOParameter)"><!-- --></A><H3>
ACOMediator</H3>
<PRE>
public <B>ACOMediator</B>(<A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOMediator(aco.graph.ACOGraph, aco.parameter.ACOParameter)"><!-- --></A><H3>
ACOMediator</H3>
<PRE>
public <B>ACOMediator</B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog,
                   <A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</PRE>
<DL>
</DL>
<HR>

<A NAME="ACOMediator(aco.graph.ACOGraph, aco.parameter.ACOParameter, aco.environment.Environment)"><!-- --></A><H3>
ACOMediator</H3>
<PRE>
public <B>ACOMediator</B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog,
                   <A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop,
                   <A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A>&nbsp;env)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getACOGraph()"><!-- --></A><H3>
getACOGraph</H3>
<PRE>
public <A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A> <B>getACOGraph</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setACOGraph(aco.graph.ACOGraph)"><!-- --></A><H3>
setACOGraph</H3>
<PRE>
public void <B>setACOGraph</B>(<A HREF="../../aco/graph/ACOGraph.html" title="class in aco.graph">ACOGraph</A>&nbsp;acog)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getACOParameter()"><!-- --></A><H3>
getACOParameter</H3>
<PRE>
public <A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A> <B>getACOParameter</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setACOParameter(aco.parameter.ACOParameter)"><!-- --></A><H3>
setACOParameter</H3>
<PRE>
public void <B>setACOParameter</B>(<A HREF="../../aco/parameter/ACOParameter.html" title="class in aco.parameter">ACOParameter</A>&nbsp;acop)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getEnvironment()"><!-- --></A><H3>
getEnvironment</H3>
<PRE>
public <A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A> <B>getEnvironment</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setEnvironment(aco.environment.Environment)"><!-- --></A><H3>
setEnvironment</H3>
<PRE>
public void <B>setEnvironment</B>(<A HREF="../../aco/environment/Environment.html" title="class in aco.environment">Environment</A>&nbsp;env)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getACOStrategy()"><!-- --></A><H3>
getACOStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A> <B>getACOStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setACOStrategy(aco.strategy.ACOStrategy)"><!-- --></A><H3>
setACOStrategy</H3>
<PRE>
public void <B>setACOStrategy</B>(<A HREF="../../aco/strategy/ACOStrategy.html" title="class in aco.strategy">ACOStrategy</A>&nbsp;acos)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGraphStrategy()"><!-- --></A><H3>
getGraphStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A> <B>getGraphStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGraphStrategy(aco.strategy.GraphStrategy)"><!-- --></A><H3>
setGraphStrategy</H3>
<PRE>
public void <B>setGraphStrategy</B>(<A HREF="../../aco/strategy/GraphStrategy.html" title="class in aco.strategy">GraphStrategy</A>&nbsp;gs)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTauZeroStrategy()"><!-- --></A><H3>
getTauZeroStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A> <B>getTauZeroStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTauZeroStrategy(aco.strategy.TauZeroStrategy)"><!-- --></A><H3>
setTauZeroStrategy</H3>
<PRE>
public void <B>setTauZeroStrategy</B>(<A HREF="../../aco/strategy/TauZeroStrategy.html" title="class in aco.strategy">TauZeroStrategy</A>&nbsp;tzs)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDistanceStrategy()"><!-- --></A><H3>
getDistanceStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A> <B>getDistanceStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDistanceStrategy(aco.strategy.DistanceStrategy)"><!-- --></A><H3>
setDistanceStrategy</H3>
<PRE>
public void <B>setDistanceStrategy</B>(<A HREF="../../aco/strategy/DistanceStrategy.html" title="class in aco.strategy">DistanceStrategy</A>&nbsp;ds)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPheromoneStrategy()"><!-- --></A><H3>
getPheromoneStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A> <B>getPheromoneStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setPheromoneStrategy(aco.strategy.PheromoneStrategy)"><!-- --></A><H3>
setPheromoneStrategy</H3>
<PRE>
public void <B>setPheromoneStrategy</B>(<A HREF="../../aco/strategy/PheromoneStrategy.html" title="class in aco.strategy">PheromoneStrategy</A>&nbsp;ps)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getChoiceInformationStrategy()"><!-- --></A><H3>
getChoiceInformationStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A> <B>getChoiceInformationStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setChoiceInformationStrategy(aco.strategy.ChoiceInformationStrategy)"><!-- --></A><H3>
setChoiceInformationStrategy</H3>
<PRE>
public void <B>setChoiceInformationStrategy</B>(<A HREF="../../aco/strategy/ChoiceInformationStrategy.html" title="class in aco.strategy">ChoiceInformationStrategy</A>&nbsp;cis)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getHeuristicInformationStrategy()"><!-- --></A><H3>
getHeuristicInformationStrategy</H3>
<PRE>
public <A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A> <B>getHeuristicInformationStrategy</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicInformationStrategy(aco.strategy.HeuristicInformationStrategy)"><!-- --></A><H3>
setHeuristicInformationStrategy</H3>
<PRE>
public void <B>setHeuristicInformationStrategy</B>(<A HREF="../../aco/strategy/HeuristicInformationStrategy.html" title="class in aco.strategy">HeuristicInformationStrategy</A>&nbsp;his)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getInfinity()"><!-- --></A><H3>
getInfinity</H3>
<PRE>
public int <B>getInfinity</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBeta()"><!-- --></A><H3>
getBeta</H3>
<PRE>
public double <B>getBeta</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setBeta(double)"><!-- --></A><H3>
setBeta</H3>
<PRE>
public void <B>setBeta</B>(double&nbsp;Beta)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRoh()"><!-- --></A><H3>
getRoh</H3>
<PRE>
public double <B>getRoh</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setRoh(double)"><!-- --></A><H3>
setRoh</H3>
<PRE>
public void <B>setRoh</B>(double&nbsp;Roh)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getTauZero()"><!-- --></A><H3>
getTauZero</H3>
<PRE>
public double <B>getTauZero</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTauZero(double)"><!-- --></A><H3>
setTauZero</H3>
<PRE>
public void <B>setTauZero</B>(double&nbsp;TauZero)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxNumOfTours()"><!-- --></A><H3>
getMaxNumOfTours</H3>
<PRE>
public int <B>getMaxNumOfTours</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxNumOfTours(int)"><!-- --></A><H3>
setMaxNumOfTours</H3>
<PRE>
public void <B>setMaxNumOfTours</B>(int&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumOfAnts()"><!-- --></A><H3>
getNumOfAnts</H3>
<PRE>
public int <B>getNumOfAnts</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNumOfAnts(int)"><!-- --></A><H3>
setNumOfAnts</H3>
<PRE>
public void <B>setNumOfAnts</B>(int&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumOfCities()"><!-- --></A><H3>
getNumOfCities</H3>
<PRE>
public int <B>getNumOfCities</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../aco/antview/AntViewObservable.html#getNumOfCities()">getNumOfCities</A></CODE> in interface <CODE><A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNumOfCities(int)"><!-- --></A><H3>
setNumOfCities</H3>
<PRE>
public void <B>setNumOfCities</B>(int&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNearestNeighbourListDepth()"><!-- --></A><H3>
getNearestNeighbourListDepth</H3>
<PRE>
public int <B>getNearestNeighbourListDepth</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setNearestNeighbourListDepth(int)"><!-- --></A><H3>
setNearestNeighbourListDepth</H3>
<PRE>
public void <B>setNearestNeighbourListDepth</B>(int&nbsp;NearestNeighbourListDepth)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNearestNeighbour(int, int)"><!-- --></A><H3>
getNearestNeighbour</H3>
<PRE>
public int <B>getNearestNeighbour</B>(int&nbsp;x,
                               int&nbsp;y)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDistance(int, int)"><!-- --></A><H3>
getDistance</H3>
<PRE>
public int <B>getDistance</B>(int&nbsp;x,
                       int&nbsp;y)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDistance(int, int, int)"><!-- --></A><H3>
setDistance</H3>
<PRE>
public void <B>setDistance</B>(int&nbsp;x,
                        int&nbsp;y,
                        int&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCoordinates(int)"><!-- --></A><H3>
getCoordinates</H3>
<PRE>
public <A HREF="../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt; <B>getCoordinates</B>(int&nbsp;City)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../aco/antview/AntViewObservable.html#getCoordinates(int)">getCoordinates</A></CODE> in interface <CODE><A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCoordinateData()"><!-- --></A><H3>
getCoordinateData</H3>
<PRE>
public java.util.HashMap&lt;java.lang.Integer,<A HREF="../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt; <B>getCoordinateData</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPheromone(int, int)"><!-- --></A><H3>
getPheromone</H3>
<PRE>
public double <B>getPheromone</B>(int&nbsp;x,
                           int&nbsp;y)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setPheromone(int, int, double)"><!-- --></A><H3>
setPheromone</H3>
<PRE>
public void <B>setPheromone</B>(int&nbsp;x,
                         int&nbsp;y,
                         double&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getChoiceInformation(int, int)"><!-- --></A><H3>
getChoiceInformation</H3>
<PRE>
public double <B>getChoiceInformation</B>(int&nbsp;x,
                                   int&nbsp;y)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setChoiceInformation(int, int, double)"><!-- --></A><H3>
setChoiceInformation</H3>
<PRE>
public void <B>setChoiceInformation</B>(int&nbsp;x,
                                 int&nbsp;y,
                                 double&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getHeuristicInformation(int, int)"><!-- --></A><H3>
getHeuristicInformation</H3>
<PRE>
public double <B>getHeuristicInformation</B>(int&nbsp;x,
                                      int&nbsp;y)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setHeuristicInformation(int, int, double)"><!-- --></A><H3>
setHeuristicInformation</H3>
<PRE>
public void <B>setHeuristicInformation</B>(int&nbsp;x,
                                    int&nbsp;y,
                                    double&nbsp;v)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeTauZero()"><!-- --></A><H3>
computeTauZero</H3>
<PRE>
public void <B>computeTauZero</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeChoiceInformation()"><!-- --></A><H3>
computeChoiceInformation</H3>
<PRE>
public void <B>computeChoiceInformation</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeHeuristicInformation()"><!-- --></A><H3>
computeHeuristicInformation</H3>
<PRE>
public void <B>computeHeuristicInformation</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeNearestNeighbourListDepth()"><!-- --></A><H3>
computeNearestNeighbourListDepth</H3>
<PRE>
public void <B>computeNearestNeighbourListDepth</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeDistances()"><!-- --></A><H3>
computeDistances</H3>
<PRE>
public int[][] <B>computeDistances</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setInitialPheromones(double)"><!-- --></A><H3>
setInitialPheromones</H3>
<PRE>
public void <B>setInitialPheromones</B>(double&nbsp;TauZero)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nearestNeighbourHeuristicRandomStart()"><!-- --></A><H3>
nearestNeighbourHeuristicRandomStart</H3>
<PRE>
public int <B>nearestNeighbourHeuristicRandomStart</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="pheromoneUpdate(aco.ant.Ant[])"><!-- --></A><H3>
pheromoneUpdate</H3>
<PRE>
public void <B>pheromoneUpdate</B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>[]&nbsp;ants)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="computeTourLength(aco.ant.Ant)"><!-- --></A><H3>
computeTourLength</H3>
<PRE>
public void <B>computeTourLength</B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="pickInitialRandomCity(aco.ant.Ant)"><!-- --></A><H3>
pickInitialRandomCity</H3>
<PRE>
public void <B>pickInitialRandomCity</B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="ACODecisionRule(aco.ant.Ant, int)"><!-- --></A><H3>
ACODecisionRule</H3>
<PRE>
public void <B>ACODecisionRule</B>(<A HREF="../../aco/ant/Ant.html" title="class in aco.ant">Ant</A>&nbsp;ant,
                            int&nbsp;Step)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTourMapSize()"><!-- --></A><H3>
getGlobalBestTourMapSize</H3>
<PRE>
public int <B>getGlobalBestTourMapSize</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTourMapSize(int)"><!-- --></A><H3>
setGlobalBestTourMapSize</H3>
<PRE>
public void <B>setGlobalBestTourMapSize</B>(int&nbsp;GlobalBestTourMapSize)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTourMap()"><!-- --></A><H3>
getGlobalBestTourMap</H3>
<PRE>
public java.util.SortedMap&lt;java.lang.Integer,int[]&gt; <B>getGlobalBestTourMap</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../aco/antview/AntViewObservable.html#getGlobalBestTourMap()">getGlobalBestTourMap</A></CODE> in interface <CODE><A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addGlobalBestTour(java.lang.Integer, int[])"><!-- --></A><H3>
addGlobalBestTour</H3>
<PRE>
public void <B>addGlobalBestTour</B>(java.lang.Integer&nbsp;TourLength,
                              int[]&nbsp;Tour)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTour()"><!-- --></A><H3>
getGlobalBestTour</H3>
<PRE>
public int[] <B>getGlobalBestTour</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTour(int)"><!-- --></A><H3>
getGlobalBestTour</H3>
<PRE>
public int <B>getGlobalBestTour</B>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTour(int[])"><!-- --></A><H3>
setGlobalBestTour</H3>
<PRE>
public void <B>setGlobalBestTour</B>(int[]&nbsp;GlobalBestTour)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTour(int, int)"><!-- --></A><H3>
setGlobalBestTour</H3>
<PRE>
public void <B>setGlobalBestTour</B>(int&nbsp;index,
                              int&nbsp;GlobalBestTour)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTourLength()"><!-- --></A><H3>
getGlobalBestTourLength</H3>
<PRE>
public int <B>getGlobalBestTourLength</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTourLength(int)"><!-- --></A><H3>
setGlobalBestTourLength</H3>
<PRE>
public void <B>setGlobalBestTourLength</B>(int&nbsp;GlobalBestTourLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGlobalBestTourIteration()"><!-- --></A><H3>
getGlobalBestTourIteration</H3>
<PRE>
public int <B>getGlobalBestTourIteration</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../aco/antview/AntViewObservable.html#getGlobalBestTourIteration()">getGlobalBestTourIteration</A></CODE> in interface <CODE><A HREF="../../aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGlobalBestTourIteration(int)"><!-- --></A><H3>
setGlobalBestTourIteration</H3>
<PRE>
public void <B>setGlobalBestTourIteration</B>(int&nbsp;GlobalBestTourIteration)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ACOMediator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?aco/mediator/ACOMediator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ACOMediator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
